'
'     Copyright  2002-2003, The KPD-Team
'     All rights reserved.
'     http://www.mentalis.org/
'
'   Redistribution and use in source and binary forms, with or without
'   modification, are permitted provided that the following conditions
'   are met:
'
'     - Redistributions of source code must retain the above copyright
'        notice, this list of conditions and the following disclaimer. 
'
'     - Neither the name of the KPD-Team, nor the names of its contributors
'        may be used to endorse or promote products derived from this
'        software without specific prior written permission. 
'
'   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
'   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
'   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
'   FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
'   THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
'   INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
'   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
'   SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
'   HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
'   STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
'   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
'   OF THE POSSIBILITY OF SUCH DAMAGE.
'

Imports System
Imports Microsoft.VisualBasic
Imports Org.Mentalis.Network

public class TestApp 
	public shared sub Main(args() as string) 
		Console.Write("Enter a URL: [or nothing to exit]" + ControlChars.CrLf + "> ")
		dim input as string = Console.ReadLine()
		dim url as Url 
		while(input <> "") 
			try
				url = new Url(input)
				Console.WriteLine("Protocol: " + url.Protocol)
				if url.Username <> "" then Console.WriteLine("Username: " + url.Username)
				if url.Password <> "" then Console.WriteLine("Password: " + url.Password)
				Console.WriteLine("Host: " + url.Host)
				if url.Port = 0 then
					Console.WriteLine("Port: [default]")
				else
                	Console.WriteLine("Port: " + url.Port.ToString())
                end if
				if url.Path <> "" then Console.WriteLine("Path: " + url.Path)
				if url.Query <> "" then Console.WriteLine("Query string: " + url.Query)
				Console.WriteLine("Full URL: " + url.ToString())
			catch
				Console.WriteLine("The URL is invalid.")
			end try
			Console.Write(ControlChars.CrLf + "Enter a URL: [or nothing to exit]" + ControlChars.CrLf + "> ")
			input = Console.ReadLine()
		end while
	end sub
end class